<br/>
<br/>
<div class="text-center">
    <i class="fa fa fa-spinner fa-spin" style="font-size: 48px;"></i>
    <h6 id="message">Creando session, espere por favor...</h6>
</div>

<script src="https://js.stripe.com/v3/"></script>

<div id="i18n_redirect" th:text="#{popup.redirecting.please.wait}" style="display:none;"></div>

<form action="stripe/session" method="POST" id="stripe-session">
    <input type="hidden" name="reqId" th:value="${req.id}"/>
</form>

<script>
    $(document).ready(function () {
        const redirect = document.querySelector("#i18n_redirect");
        $.post('/stripe/session', $('#stripe-session').serialize(), function (response) {
            $('#message').html(redirect.innerHTML);
            var stripe = Stripe(response.key);
            stripe.redirectToCheckout({
                sessionId: response.sessionId
            }).then(function (result) {
                console.log(result);
            });

        }).fail(function (xhr, status, error) {
            showAlert(xhr.responseText, "alert-error");
        });
    });

</script>
